// pages/integral/index.js
import request from "../../utils/request"
import { getCurrentIntegral, getRedeemableCoupons } from "../../service/system";
import { alertInfo, loadingFunc } from "../../utils/index";
const { OK } = request;

Page({

  /**
   * 页面的初始数据
   */
  data: {
    integral: 0,
    page: 1,
    size: 20,
    list: [],
    totalPage: 0,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    this.getIntegral();
    this.getCoupons();
  },
  async getCoupons() {
    const { page, size } = this.data
    const { code, message, data, total } = await getRedeemableCoupons({ page, size, type: 2 })
    if (code !== OK) {
      alertInfo(message)
      return;
    }
    this.setData({
      list: data,
      totalPage: Math.ceil(total / size),
    })
  },
  refresh() {
    const that = this;
    that.setData({
      page: 1,
      size: 20
    }, () => {
      that.getCoupons()
    })
  },
  jumpToRecord() {
    wx.navigateTo({
      url: '/pages/integralRecord/index',
    })
  },
  async getIntegral() {
    const { code, message, data } = await getCurrentIntegral();
    if (code !== OK) {
      alertInfo(message)
      return;
    }
    this.setData({
      integral: data?.balance || 0
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})